commit: f587937984834f6a8a79dabcc60703c4b400182a
Author: Akinori Hattori <hattya <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 23 15:54:26 2017 +0000
Commit: Akinori Hattori <hattya <AT> gentoo <DOT> org>
CommitDate: Wed Aug 23 15:56:45 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f5879379
app-i18n/ibus-typing-booster: initial import
Gentoo-Bug: 612046
Package-Manager: Portage-2.3.6, Repoman-2.3.1
app-i18n/ibus-typing-booster/Manifest | 1 +
.../ibus-typing-booster-1.5.32.ebuild | 35 ++++++++++++++++++++++
app-i18n/ibus-typing-booster/metadata.xml | 11 +++++++
3 files changed, 47 insertions(+)
diff --git a/app-i18n/ibus-typing-booster/Manifest
b/app-i18n/ibus-typing-booster/Manifest
new file mode 100644
index 00000000000..58c4fd17ab5
--- /dev/null
+++ b/app-i18n/ibus-typing-booster/Manifest
@@ -0,0 +1 @@
+DIST ibus-typing-booster-1.5.32.tar.gz 5114796 SHA256
fc85e6913bd249c5fa94f4451f6ddc58031e2e0381563d9e26584f7b85a70e4f SHA512
0027d5b569577e3508a2af98c45929f63fea95369e6d502a42b3e3f61d28fb2c575ac42f5ae69c388d13a5740d35cbcda78ef01144679dc201bcbf384639290e
WHIRLPOOL
9623cc693dccab953f8bbfdca5a91d25345a7446bf2c9e5da9a1a08b7401d69a480670fe3da89a3bd034be7f6e45588893e6092c0f7f842cc1788bf67c650b1e
diff --git a/app-i18n/ibus-typing-booster/ibus-typing-booster-1.5.32.ebuild
b/app-i18n/ibus-typing-booster/ibus-typing-booster-1.5.32.ebuild
new file mode 100644
index 00000000000..94e882bf44d
--- /dev/null
+++ b/app-i18n/ibus-typing-booster/ibus-typing-booster-1.5.32.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+PYTHON_COMPAT=( python{3_4,3_5,3_6} )
+PYTHON_REQ_USE="sqlite(+)"
+
+inherit python-single-r1
+
+DESCRIPTION="Completion input method for IBus"
+HOMEPAGE="https://mike-fabian.github.io/ibus-typing-booster"
+SRC_URI="https://github.com/mike-fabian/${PN}/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+RESTRICT="test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+CDEPEND="${PYTHON_DEPS}
+ app-i18n/ibus[python(+),${PYTHON_USEDEP}]
+ dev-libs/m17n-lib
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-python/pyenchant[${PYTHON_USEDEP}]
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ dev-python/pyxdg[${PYTHON_USEDEP}]"
+RDEPEND="${CDEPEND}
+ || (
+ >=dev-db/m17n-db-1.7
+ dev-db/m17n-contrib
+ )"
+DEPEND="${RDEPEND}
+ sys-devel/gettext
+ virtual/pkgconfig"
diff --git a/app-i18n/ibus-typing-booster/metadata.xml
b/app-i18n/ibus-typing-booster/metadata.xml
new file mode 100644
index 00000000000..bd6b0e5b1eb
--- /dev/null
+++ b/app-i18n/ibus-typing-booster/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>[email protected]</email>
+ <name>Cjk</name>
+ </maintainer>
+ <longdescription lang="en">
+ A completion input method for IBus.
+ </longdescription>
+</pkgmetadata>